> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/chainstack-platform-api-create-network",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Create a network with the Chainstack Platform API

> Create a new blockchain network in a Chainstack project using the Platform API. Send a POST request to /v1/networks/ with the network configuration.



## OpenAPI

````yaml post /v1/networks/
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v1
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v1/networks/:
    post:
      tags:
        - Network
      summary: Create Network
      description: Create a network.
      operationId: createNetwork
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NetworkCreate'
            examples:
              ethereum:
                $ref: '#/components/examples/EthereumNetworkCreate'
              polygon pos:
                $ref: '#/components/examples/PolygonPoSNetworkCreate'
              bsc:
                $ref: '#/components/examples/BinanceSmartChainNetworkCreate'
              avalanche:
                $ref: '#/components/examples/AvalancheNetworkCreate'
              arbitrum:
                $ref: '#/components/examples/ArbitrumNetworkCreate'
              near:
                $ref: '#/components/examples/NearNetworkCreate'
              aurora:
                $ref: '#/components/examples/AuroraNetworkCreate'
              gnosis:
                $ref: '#/components/examples/GnosisNetworkCreate'
              cronos:
                $ref: '#/components/examples/CronosNetworkCreate'
              fantom:
                $ref: '#/components/examples/FantomNetworkCreate'
              tezos:
                $ref: '#/components/examples/TezosNetworkCreate'
              solana:
                $ref: '#/components/examples/SolanaNetworkCreate'
              starknet:
                $ref: '#/components/examples/StarknetNetworkCreate'
              fuse:
                $ref: '#/components/examples/FuseNetworkCreate'
              bitcoin:
                $ref: '#/components/examples/BitcoinNetworkCreate'
              harmony:
                $ref: '#/components/examples/HarmonyNetworkCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Network'
              examples:
                ethereum:
                  $ref: '#/components/examples/EthereumNetwork'
                polygon pos:
                  $ref: '#/components/examples/PolygonPoSNetwork'
                bsc:
                  $ref: '#/components/examples/BinanceSmartChainNetwork'
                avalanche:
                  $ref: '#/components/examples/AvalancheNetwork'
                arbitrum:
                  $ref: '#/components/examples/ArbitrumNetwork'
                near:
                  $ref: '#/components/examples/NearNetwork'
                aurora:
                  $ref: '#/components/examples/AuroraNetwork'
                gnosis:
                  $ref: '#/components/examples/GnosisNetwork'
                cronos:
                  $ref: '#/components/examples/CronosNetwork'
                fantom:
                  $ref: '#/components/examples/FantomNetwork'
                tezos:
                  $ref: '#/components/examples/TezosNetwork'
                solana:
                  $ref: '#/components/examples/SolanaNetwork'
                starknet:
                  $ref: '#/components/examples/StarknetNetwork'
                fuse:
                  $ref: '#/components/examples/FuseNetwork'
                bitcoin:
                  $ref: '#/components/examples/BitcoinNetwork'
                harmony:
                  $ref: '#/components/examples/HarmonyNetwork'
          description: ''
        '400':
          $ref: '#/components/responses/ValidationError'
      security:
        - APIKeyAuthentication: []
components:
  schemas:
    NetworkCreate:
      allOf:
        - $ref: '#/components/schemas/BaseNetwork'
        - type: object
          properties:
            name:
              type: string
              description: |
                Name of the network.
                * Required for `consortium` networks.
                * Autogenerated for `public chain` networks.
            configuration:
              allOf:
                - $ref: '#/components/schemas/CreateConfiguration'
              description: >
                Protocol-specific parameters.

                <br>Pass `{}` if there are no specific parameters for the chosen
                protocol.
            nodes:
              items:
                $ref: '#/components/schemas/NodeInitialCreate'
              description: List of nodes that will be initially created.
          required:
            - project
            - protocol
            - configuration
            - nodes
            - name
    Network:
      allOf:
        - $ref: '#/components/schemas/BaseNetwork'
        - type: object
          properties:
            name:
              type: string
              description: Name of the network.
            configuration:
              $ref: '#/components/schemas/Configuration'
            nodes:
              items:
                $ref: '#/components/schemas/Node'
    BaseNetwork:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        project:
          type: string
          description: |
            ID of the network's project.
        protocol:
          $ref: '#/components/schemas/Protocol'
        details:
          type: object
          readOnly: true
        status:
          $ref: '#/components/schemas/NetworkStatusEnum'
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          description: Creator of the network.
        created_at:
          allOf:
            - $ref: '#/components/schemas/CreatedAt'
          description: When the network was created.
    CreateConfiguration:
      oneOf:
        - $ref: '#/components/schemas/EthereumNetworkCreateConfiguration'
        - $ref: '#/components/schemas/PolygonPoSNetworkCreateConfiguration'
        - $ref: '#/components/schemas/BinanceSmartChainNetworkCreateConfiguration'
        - $ref: '#/components/schemas/AvalancheNetworkCreateConfiguration'
        - $ref: '#/components/schemas/ArbitrumNetworkCreateConfiguration'
        - $ref: '#/components/schemas/NearNetworkCreateConfiguration'
        - $ref: '#/components/schemas/AuroraNetworkCreateConfiguration'
        - $ref: '#/components/schemas/GnosisNetworkCreateConfiguration'
        - $ref: '#/components/schemas/CronosNetworkCreateConfiguration'
        - $ref: '#/components/schemas/FantomNetworkCreateConfiguration'
        - $ref: '#/components/schemas/TezosNetworkCreateConfiguration'
        - $ref: '#/components/schemas/SolanaNetworkCreateConfiguration'
        - $ref: '#/components/schemas/FuseNetworkCreateConfiguration'
        - $ref: '#/components/schemas/BitcoinNetworkCreateConfiguration'
        - $ref: '#/components/schemas/StarknetNetworkCreateConfiguration'
        - $ref: '#/components/schemas/HarmonyNetworkCreateConfiguration'
    NodeInitialCreate:
      allOf:
        - $ref: '#/components/schemas/BaseNode'
        - type: object
          properties:
            role:
              $ref: '#/components/schemas/NodeRoleCreateEnum'
            configuration:
              allOf:
                - $ref: '#/components/schemas/NodeCreateConfiguration'
              description: >
                Protocol specific parameters.

                <br>Pass `{}` if there are no specific parameters for the
                selected protocol.
            network:
              readOnly: true
          required:
            - name
            - region
            - provider
            - role
            - type
            - configuration
    Configuration:
      oneOf:
        - $ref: '#/components/schemas/EthereumNetworkConfiguration'
        - $ref: '#/components/schemas/PolygonPoSNetworkConfiguration'
        - $ref: '#/components/schemas/BinanceSmartChainNetworkConfiguration'
        - $ref: '#/components/schemas/AvalancheNetworkConfiguration'
        - $ref: '#/components/schemas/ArbitrumNetworkConfiguration'
        - $ref: '#/components/schemas/NearNetworkConfiguration'
        - $ref: '#/components/schemas/AuroraNetworkConfiguration'
        - $ref: '#/components/schemas/GnosisNetworkConfiguration'
        - $ref: '#/components/schemas/CronosNetworkConfiguration'
        - $ref: '#/components/schemas/FantomNetworkConfiguration'
        - $ref: '#/components/schemas/TezosNetworkConfiguration'
        - $ref: '#/components/schemas/SolanaNetworkConfiguration'
        - $ref: '#/components/schemas/FuseNetworkConfiguration'
        - $ref: '#/components/schemas/BitcoinNetworkConfiguration'
        - $ref: '#/components/schemas/StarknetNetworkConfiguration'
        - $ref: '#/components/schemas/HarmonyNetworkConfiguration'
      readOnly: true
    Node:
      allOf:
        - $ref: '#/components/schemas/BaseNode'
        - type: object
          properties:
            role:
              $ref: '#/components/schemas/NodeRoleEnum'
            configuration:
              $ref: '#/components/schemas/NodeConfiguration'
    Protocol:
      type: string
      enum:
        - ethereum
        - polygon-pos
        - bsc
        - avalanche
        - arbitrum
        - near
        - aurora
        - gnosis
        - cronos
        - fantom
        - starknet
        - harmony
        - tezos
        - fuse
        - bitcoin
      description: >
        Protocol.

        <br>See also [Supported
        protocols](https://docs.chainstack.com/platform/supported-protocols).
    NetworkStatusEnum:
      type: string
      description: >
        See more about
        [statuses](https://docs.chainstack.com/platform/view-node-and-network-status).
      readOnly: true
      enum:
        - pending
        - ok
        - failed
        - warning
        - stopping
        - stopped
        - starting
    Creator:
      type: object
      description: Creator of the object.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        organization:
          allOf:
            - $ref: '#/components/schemas/Object'
          description: Creator's organization.
    CreatedAt:
      type: string
      format: date-time
      readOnly: true
      description: When the object was created.
    EthereumNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/EthereumNetworkConfiguration'
        - type: object
          required:
            - network
    PolygonPoSNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/PolygonPoSNetworkConfiguration'
        - type: object
          required:
            - network
    BinanceSmartChainNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/BinanceSmartChainNetworkConfiguration'
        - type: object
          required:
            - network
    AvalancheNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/AvalancheNetworkConfiguration'
        - type: object
          required:
            - network
    ArbitrumNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/ArbitrumNetworkConfiguration'
        - type: object
          required:
            - network
    NearNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/NearNetworkConfiguration'
        - type: object
          required:
            - network
    AuroraNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/AuroraNetworkConfiguration'
        - type: object
          required:
            - network
    GnosisNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/GnosisNetworkConfiguration'
        - type: object
          required:
            - network
    CronosNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/CronosNetworkConfiguration'
        - type: object
          required:
            - network
    FantomNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/FantomNetworkConfiguration'
        - type: object
          required:
            - network
    TezosNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/TezosNetworkConfiguration'
        - type: object
          required:
            - network
    SolanaNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/SolanaNetworkConfiguration'
        - type: object
          required:
            - network
    FuseNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/FuseNetworkConfiguration'
        - type: object
          required:
            - network
    BitcoinNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/BitcoinNetworkConfiguration'
        - type: object
          required:
            - network
    StarknetNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/StarknetNetworkConfiguration'
        - type: object
          required:
            - network
    HarmonyNetworkCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/HarmonyNetworkConfiguration'
        - type: object
          required:
            - network
    BaseNode:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          description: Name of the node.
        network:
          type: string
          description: ID of the network.
        organization:
          type: string
          readOnly: true
          description: ID of the organization that owns this node.
        type:
          $ref: '#/components/schemas/NodeTypeEnum'
        provider:
          $ref: '#/components/schemas/Provider'
        region:
          $ref: '#/components/schemas/Region'
        details:
          allOf:
            - $ref: '#/components/schemas/NodeDetails'
          description: Protocol-specific attributes.
        status:
          $ref: '#/components/schemas/NodeStatusEnum'
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          description: Creator of the network.
        created_at:
          allOf:
            - $ref: '#/components/schemas/CreatedAt'
          description: When the node was created.
    NodeRoleCreateEnum:
      type: string
      description: Role of the node.
      enum:
        - peer
    NodeCreateConfiguration:
      oneOf:
        - $ref: '#/components/schemas/EthereumNodeCreateConfiguration'
        - $ref: '#/components/schemas/PolygonPoSNodeCreateConfiguration'
        - $ref: '#/components/schemas/BinanceSmartChainNodeCreateConfiguration'
        - $ref: '#/components/schemas/AvalancheNodeCreateConfiguration'
        - $ref: '#/components/schemas/FantomNodeCreateConfiguration'
        - $ref: '#/components/schemas/TezosNodeCreateConfiguration'
        - $ref: '#/components/schemas/SolanaNodeCreateConfiguration'
        - $ref: '#/components/schemas/StarknetNodeCreateConfiguration'
        - $ref: '#/components/schemas/HarmonyNodeCreateConfiguration'
    EthereumNetworkConfiguration:
      type: object
      description: Ethereum network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Ethereum
            networks](https://docs.chainstack.com/operations/ethereum/networks).
          enum:
            - ethereum-mainnet
            - ethereum-ropsten-testnet
            - ethereum-rinkeby-testnet
    PolygonPoSNetworkConfiguration:
      type: object
      description: Polygon PoS network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Polygon PoS
            networks](https://docs.chainstack.com/operations/polygon/networks).
          enum:
            - polygon-pos-mainnet
            - polygon-pos-testnet
    BinanceSmartChainNetworkConfiguration:
      type: object
      description: Binance Smart Chain network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Binance Smart Chain
            networks](https://docs.chainstack.com/operations/bsc/networks).
          enum:
            - bsc-mainnet
            - bsc-testnet
    AvalancheNetworkConfiguration:
      type: object
      description: Avalanche network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Avalanche
            networks](https://docs.chainstack.com/operations/avalanche/networks).
          enum:
            - avalanche-mainnet
            - avalanche-testnet
    ArbitrumNetworkConfiguration:
      type: object
      description: Arbitrum network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Arbitrum
            networks](https://docs.chainstack.com/operations/arbitrum/networks).
          enum:
            - arbitrum-mainnet
            - arbitrum-goerli
    NearNetworkConfiguration:
      type: object
      description: Near network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Near
            networks](https://docs.chainstack.com/operations/near/networks).
          enum:
            - near-mainnet
            - near-testnet
    AuroraNetworkConfiguration:
      type: object
      description: Aurora network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Aurora
            networks](https://docs.chainstack.com/operations/aurora/networks).
          enum:
            - aurora-mainnet
            - aurora-testnet
    GnosisNetworkConfiguration:
      type: object
      description: Gnosis network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Gnosis
            networks](https://docs.chainstack.com/operations/gnosis/networks).
          enum:
            - gnosis-mainnet
            - gnosis-testnet
    CronosNetworkConfiguration:
      type: object
      description: Cronos network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Cronos
            networks](https://docs.chainstack.com/operations/cronos/networks).
          enum:
            - cronos-mainnet
            - cronos-testnet
    FantomNetworkConfiguration:
      type: object
      description: Fantom network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Fantom
            networks](https://docs.chainstack.com/operations/fantom/networks).
          enum:
            - fantom-mainnet
            - fantom-testnet
    TezosNetworkConfiguration:
      type: object
      description: Tezos network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Tezos
            networks](https://docs.chainstack.com/operations/tezos/networks).
          enum:
            - tezos-mainnet
            - tezos-testnet
    SolanaNetworkConfiguration:
      type: object
      description: Solana network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Solana
            networks](https://docs.chainstack.com/operations/solana/networks).
          enum:
            - solana-mainnet
            - solana-devnet
    FuseNetworkConfiguration:
      type: object
      description: Fuse network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Fuse
            networks](https://docs.chainstack.com/operations/fuse/networks).
          enum:
            - fuse-mainnet
            - fuse-testnet
    BitcoinNetworkConfiguration:
      type: object
      description: Bitcoin network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Bitcoin
            networks](https://docs.chainstack.com/operations/bitcoin/networks).
          enum:
            - bitcoin-mainnet
            - bitcoin-testnet
    StarknetNetworkConfiguration:
      type: object
      description: StarkNet network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [StarkNet
            networks](https://docs.chainstack.com/operations/starknet/networks).
          enum:
            - starknet-mainnet
    HarmonyNetworkConfiguration:
      type: object
      description: Harmony network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Harmony
            networks](https://docs.chainstack.com/operations/harmony/networks).
          enum:
            - harmony-mainnet
            - harmony-devnet
    NodeRoleEnum:
      type: string
      description: |
        Role of the node.
        <br>Available roles:
        * `peer` — peer node
      enum:
        - peer
    NodeConfiguration:
      oneOf:
        - $ref: '#/components/schemas/EthereumNodeConfiguration'
        - $ref: '#/components/schemas/PolygonPoSNodeConfiguration'
        - $ref: '#/components/schemas/BinanceSmartChainNodeConfiguration'
        - $ref: '#/components/schemas/AvalancheNodeConfiguration'
        - $ref: '#/components/schemas/FantomNodeConfiguration'
        - $ref: '#/components/schemas/TezosNodeConfiguration'
        - $ref: '#/components/schemas/SolanaNodeConfiguration'
        - $ref: '#/components/schemas/StarknetNodeConfiguration'
        - $ref: '#/components/schemas/HarmonyNodeConfiguration'
      readOnly: true
    Object:
      type: object
      description: Common object representation.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
    NodeTypeEnum:
      type: string
      description: >
        Type of the node.

        <br>Available types:

        * `shared` — only for `ethereum`, `polygon-pos`, `bsc`, `avalanche`,
        `fantom`, `tezos`, `bitcoin`

        * `dedicated` — for all protocols
      enum:
        - shared
        - dedicated
    Provider:
      type: string
      enum:
        - aws
        - azure
        - gcloud
        - vzo
      description: >
        Cloud provider.

        <br>See also [Supported cloud
        providers](https://docs.chainstack.com/platform/supported-cloud-hosting-providers).
    Region:
      type: string
      enum:
        - asia-southeast1
        - ap-southeast-1
        - us-west-2
        - us-east-1
        - uksouth
        - eu3
      description: |
        Regions the nodes are deployed to.

        Available for `gcloud`:
        * `asia-southeast1`

        Available for `aws`:
        * `ap-southeast-1`
        * `us-west-2`
        * `us-east-1`

        Available for `azure`:
        * `uksouth`

        Available for `vzo`:
        * `eu3`
    NodeDetails:
      oneOf:
        - $ref: '#/components/schemas/EthereumNodeDetails'
        - $ref: '#/components/schemas/BinanceSmartChainNodeDetails'
        - $ref: '#/components/schemas/AvalancheNodeDetails'
        - $ref: '#/components/schemas/FantomNodeDetails'
        - $ref: '#/components/schemas/TezosNodeDetails'
        - $ref: '#/components/schemas/SolanaNodeDetails'
        - $ref: '#/components/schemas/StarknetNodeDetails'
        - $ref: '#/components/schemas/BitcoinNodeDetails'
        - $ref: '#/components/schemas/HarmonyNodeDetails'
      readOnly: true
    NodeStatusEnum:
      type: string
      description: >
        See more about
        [statuses](https://docs.chainstack.com/platform/view-node-and-network-status).
      readOnly: true
      enum:
        - pending
        - running
        - maintenance
        - failed
        - error
        - stopping
        - stopped
        - starting
    EthereumNodeCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/EthereumNodeConfiguration'
        - type: object
          required:
            - archive
    PolygonPoSNodeCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/PolygonPoSNodeConfiguration'
        - type: object
          required:
            - archive
    BinanceSmartChainNodeCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/BinanceSmartChainNodeConfiguration'
        - type: object
          required:
            - archive
    AvalancheNodeCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/AvalancheNodeConfiguration'
        - type: object
          required:
            - archive
    FantomNodeCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/FantomNodeConfiguration'
        - type: object
          required:
            - archive
    TezosNodeCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/TezosNodeConfiguration'
        - type: object
          required:
            - archive
            - tezos_node_type
    SolanaNodeCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/SolanaNodeConfiguration'
        - type: object
    StarknetNodeCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/StarknetNodeConfiguration'
        - type: object
    HarmonyNodeCreateConfiguration:
      allOf:
        - $ref: '#/components/schemas/HarmonyNodeConfiguration'
        - type: object
          required:
            - archive
    EthereumNodeConfiguration:
      type: object
      description: Ethereum node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/ethereum/modes).
    PolygonPoSNodeConfiguration:
      type: object
      description: Polygon PoS node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/polygon/modes).
    BinanceSmartChainNodeConfiguration:
      type: object
      description: Binance Smart Chain node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/bsc/modes).
    AvalancheNodeConfiguration:
      type: object
      description: Avalanche node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/avalanche/modes).
    FantomNodeConfiguration:
      type: object
      description: Fantom node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/fantom/modes).
    TezosNodeConfiguration:
      type: object
      description: Tezos node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/tezos/modes).
        tezos_node_type:
          type: string
          description: |
            Currently 'regular' is the only supported type.
    SolanaNodeConfiguration:
      type: object
      description: Solana node configuration.
    StarknetNodeConfiguration:
      type: object
      description: StarkNet node configuration.
    HarmonyNodeConfiguration:
      type: object
      description: Harmony node configuration.
      properties:
        archive:
          type: boolean
          description: |
            Only `false` (full mode) is currently supported.
        shard:
          type: integer
          minimum: 0
          maximum: 0
          description: |
            Only Shard 0 is currently supported.
    EthereumNodeDetails:
      type: object
      description: Ethereum node details.
      properties:
        mode:
          type: string
          description: >-
            See also [Ethereum node
            modes](https://docs.chainstack.com/operations/ethereum/modes)
          readOnly: true
          enum:
            - full
            - archive
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        beacon_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    BinanceSmartChainNodeDetails:
      type: object
      description: Binance Smart Chain node details.
      properties:
        mode:
          type: string
          description: >-
            See also [Binance Smart Chain node
            modes](https://docs.chainstack.com/operations/bsc/modes)
          readOnly: true
          enum:
            - full
            - archive
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    AvalancheNodeDetails:
      type: object
      description: Avalanche node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    FantomNodeDetails:
      type: object
      description: Fantom node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    TezosNodeDetails:
      type: object
      description: Tezos node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    SolanaNodeDetails:
      type: object
      description: Solana node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    StarknetNodeDetails:
      type: object
      description: StarkNet node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    BitcoinNodeDetails:
      type: object
      description: Bitcoin node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoint.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoint.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoint.
            <br>Only for the owner of the node.
    HarmonyNodeDetails:
      type: object
      description: Harmony node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
  examples:
    EthereumNetworkCreate:
      value:
        project: PR-123-456
        protocol: ethereum
        configuration:
          network: ethereum-mainnet
        nodes:
          - name: My Ethereum node
            type: dedicated
            role: peer
            provider: gcloud
            region: asia-southeast1
            configuration:
              archive: true
    PolygonPoSNetworkCreate:
      value:
        project: PR-123-456
        protocol: polygon-pos
        configuration:
          network: polygon-pos-mainnet
        nodes:
          - name: My Polygon PoS node
            type: dedicated
            role: peer
            provider: gcloud
            region: asia-southeast1
            configuration:
              archive: true
    BinanceSmartChainNetworkCreate:
      value:
        project: PR-123-456
        protocol: bsc
        configuration:
          network: bsc-mainnet
        nodes:
          - name: My Binance Smart Chain node
            type: dedicated
            role: peer
            provider: gcloud
            region: asia-southeast1
            configuration:
              archive: true
    AvalancheNetworkCreate:
      value:
        project: PR-123-456
        protocol: avalanche
        configuration:
          network: avalanche-mainnet
        nodes:
          - name: My Avalanche node
            type: dedicated
            role: peer
            provider: vzo
            region: eu1
            configuration:
              archive: true
    ArbitrumNetworkCreate:
      value:
        project: PR-123-456
        protocol: arbitrum
        configuration:
          network: arbitrum-mainnet
        nodes:
          - name: My Arbitrum node
            type: shared
            role: peer
            provider: vzo
            region: eu3
            configuration:
              archive: false
              client: nitro
    NearNetworkCreate:
      value:
        project: PR-123-456
        protocol: near
        configuration:
          network: near-mainnet
        nodes:
          - name: My Near node
            type: shared
            role: peer
            provider: vzo
            region: eu3
            configuration:
              archive: false
    AuroraNetworkCreate:
      value:
        project: PR-123-456
        protocol: aurora
        configuration:
          network: aurora-mainnet
        nodes:
          - name: My Aurora node
            type: shared
            role: peer
            provider: vzo
            region: eu3
            configuration:
              archive: false
    GnosisNetworkCreate:
      value:
        project: PR-123-456
        protocol: gnosis
        configuration:
          network: gnosis-mainnet
        nodes:
          - name: My Gnosis node
            type: shared
            role: peer
            provider: vzo
            region: eu3
            configuration:
              archive: false
    CronosNetworkCreate:
      value:
        project: PR-123-456
        protocol: cronos
        configuration:
          network: cronos-mainnet
        nodes:
          - name: My Cronos node
            type: shared
            role: peer
            provider: vzo
            region: eu3
            configuration:
              archive: false
    FantomNetworkCreate:
      value:
        project: PR-123-456
        protocol: fantom
        configuration:
          network: fantom-mainnet
        nodes:
          - name: My Fantom node
            type: dedicated
            role: peer
            provider: vzo
            region: eu1
            configuration:
              archive: true
    TezosNetworkCreate:
      value:
        project: PR-123-456
        protocol: tezos
        configuration:
          network: tezos-mainnet
        nodes:
          - name: My Tezos node
            type: dedicated
            role: peer
            provider: vzo
            region: eu1
            configuration:
              archive: true
              tezos_node_type: regular
    SolanaNetworkCreate:
      value:
        project: PR-123-456
        protocol: solana
        configuration:
          network: solana-mainnet
        nodes:
          - name: My Solana node
            type: shared
            role: peer
            provider: aws
            region: us-east-1
            configuration: {}
    StarknetNetworkCreate:
      value:
        project: PR-123-456
        protocol: starknet
        configuration:
          network: starknet-mainnet
        nodes:
          - name: My StarkNet node
            type: shared
            role: peer
            provider: aws
            region: us-east-1
            configuration: {}
    FuseNetworkCreate:
      value:
        project: PR-123-456
        protocol: fuse
        configuration:
          network: fuse-mainnet
        nodes:
          - name: My Fuse node
            type: shared
            role: peer
            provider: vzo
            region: eu3
            configuration:
              archive: false
    BitcoinNetworkCreate:
      value:
        project: PR-123-456
        protocol: bitcoin
        configuration:
          network: bitcoin-mainnet
        nodes:
          - name: My Bitcoin node
            type: shared
            role: peer
            provider: gcloud
            region: asia-southeast1
            configuration: {}
    HarmonyNetworkCreate:
      value:
        project: PR-123-456
        protocol: harmony
        configuration:
          network: harmony-mainnet
        nodes:
          - name: My Harmony node
            type: dedicated
            role: peer
            provider: vzo
            region: eu1
            configuration:
              archive: false
    EthereumNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: ethereum
        configuration:
          network: ethereum-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Ethereum node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: gcloud
            region: asia-southeast1
            status: running
            configuration:
              archive: true
            details:
              mode: archive
              version: 1.9.9
              api_namespaces:
                - net
                - eth
                - web3
                - txpool
                - debug
              graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              beacon_endpoint: https://beacon-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    PolygonPoSNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: polygon-pos
        configuration:
          network: polygon-pos-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Polygon PoS node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: gcloud
            region: asia-southeast1
            status: running
            configuration:
              archive: true
            details:
              mode: archive
              version: 1.0.6
              api_namespaces:
                - net
                - eth
                - web3
                - txpool
                - debug
                - parlia
              graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    BinanceSmartChainNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: bsc
        configuration:
          network: bsc-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Binance Smart Chain node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: gcloud
            region: asia-southeast1
            status: running
            configuration:
              archive: true
            details:
              mode: archive
              version: 1.0.6
              api_namespaces:
                - net
                - eth
                - web3
                - txpool
                - debug
                - parlia
              graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    AvalancheNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: avalanche
        configuration:
          network: avalanche-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Avalanche node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: vzo
            region: eu1
            status: running
            configuration:
              archive: true
            details:
              version: 1.7.2
              api_namespaces:
                - net
                - eth
                - web3
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    ArbitrumNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: arbitrum
        configuration:
          network: arbitrum-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Arbitrum node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: vzo
            region: eu3
            status: running
            configuration:
              archive: false
              client: nitro
            details:
              mode: full
              version: 2.0.7
              api_namespaces:
                - net
                - eth
                - web3
                - txpool
                - debug
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    NearNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: near
        configuration:
          network: near-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Near node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: vzo
            region: eu3
            status: running
            configuration:
              archive: false
            details:
              mode: full
              version: 1.29.0
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    AuroraNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: aurora
        configuration:
          network: aurora-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Aurora node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: vzo
            region: eu3
            status: running
            configuration:
              archive: false
            details:
              mode: full
              version: 20220801
              api_namespaces:
                - net
                - eth
                - web3
                - txpool
                - debug
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    GnosisNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: gnosis
        configuration:
          network: gnosis-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Gnosis node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: vzo
            region: eu3
            status: running
            configuration:
              archive: false
            details:
              mode: full
              version: 1.13.3
              api_namespaces:
                - net
                - eth
                - web3
                - txpool
                - debug
                - subscribe
                - parity
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    CronosNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: cronos
        configuration:
          network: cronos-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Cronos node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: vzo
            region: eu3
            status: running
            configuration:
              archive: false
            details:
              mode: full
              version: v0.8.1
              api_namespaces:
                - net
                - eth
                - web3
                - txpool
                - debug
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    FantomNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: fantom
        configuration:
          network: fantom-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Fantom node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: vzo
            region: eu1
            status: running
            configuration:
              archive: true
            details:
              version: 1.0.2
              api_namespaces:
                - net
                - eth
                - web3
              graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    TezosNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: tezos
        configuration:
          network: tezos-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Tezos node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: gcloud
            region: asia-southeast1
            status: running
            configuration:
              archive: true
              tezos_node_type: regular
            details:
              version: 9.2.0
              https_endpoint: https://nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    SolanaNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: solana
        configuration:
          network: solana-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Solana node
            network: NW-123-456-7
            organization: RG-123-456
            type: shared
            role: peer
            provider: aws
            region: us-east-1
            status: running
            configuration: {}
            details:
              version: 1.8.8
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    StarknetNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: starknet
        configuration:
          network: starknet-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My StarkNet node
            network: NW-123-456-7
            organization: RG-123-456
            type: shared
            role: peer
            provider: aws
            region: us-east-1
            status: running
            configuration: {}
            details:
              version: 1.8.8
              https_endpoint: https://nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    FuseNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: fuse
        configuration:
          network: fuse-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Fuse node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: vzo
            region: eu3
            status: running
            configuration:
              archive: false
            details:
              mode: full
              version: 1.13.3
              api_namespaces:
                - net
                - eth
                - web3
                - txpool
                - debug
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    BitcoinNetwork:
      value:
        id: NW-123-456-7
        name: Bitcoin mainnet
        project: PR-123-456
        protocol: bitcoin
        configuration:
          network: bitcoin-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Bitcoin node
            network: NW-123-456-7
            organization: RG-123-456
            type: shared
            role: peer
            provider: gcloud
            region: asia-southeast1
            status: running
            configuration: {}
            details:
              version: 0.19.0.1
              https_endpoint: https://nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    HarmonyNetwork:
      value:
        id: NW-123-456-7
        name: Mainnet
        project: PR-123-456
        protocol: harmony
        configuration:
          network: harmony-mainnet
        details: {}
        status: ok
        nodes:
          - id: ND-123-456-789
            name: My Harmony node
            network: NW-123-456-7
            organization: RG-123-456
            type: dedicated
            role: peer
            provider: vzo
            region: eu1
            status: running
            configuration:
              archive: false
              shard: 0
            details:
              version: 4.3.9
              api_namespaces:
                - hmy
                - hmyv2
                - net
                - eth
                - web3
              https_endpoint: https://nd-123-456-789.p2pify.com
              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
              auth_username: user-name
              auth_password: pass-word-pass-word-pass-word
              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
            created_at: '2020-06-15T07:38:00.747Z'
            creator:
              id: UR-111-111-111
              email: john.smith@example.com
              first_name: John
              last_name: Smith
              organization:
                id: RG-123-456
                name: My organization
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
  responses:
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
                  fields:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    description: Optional. Field-level validation errors.
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````